Skip to main content
DELETE
Delete a custom calculation

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

write

Grants write access

Path Parameters

custom_calculation_token
string
required

Response

Delete a CustomCalculation. Read-only calculations cannot be deleted.

CustomCalculation model

token
string
required

The token of the CustomCalculation.

Example:

"cstm_clcltn_1234"

title
string
required

The title of the Custom Calculation.

description
string | null
required

The description of the calculation, or null when blank.

operation
enum<string>
required

The operation applied to the filtered cost or usage data.

Available options:
sum,
average,
division,
min,
max
filter
object
required
display_as
enum<string>
required

The display format of the calculation.

Available options:
ratio,
percent,
per-n
unit_scale
integer<int32>
required

The integer unit scale of the calculation.

is_read_only
boolean
required

Whether the calculation is read only.

cost_report_tokens
string[]
required

The tokens of the attached CostReports visible to the caller.

created_at
string
required

When the calculation was created, in ISO 8601 format.

updated_at
string
required

When the calculation was last updated, in ISO 8601 format.